/* ----------------------------------------
company-message
---------------------------------------- */
.company-message__content {
  position: relative;
  margin-top: 4rem;
}

.company-message__body {
  padding: 0 2.5rem;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 50%;
}

.company-message__title {
  font-size: 1.5cqw;
  font-weight: 600;
  color: var(--color-text-main);
}

.company-message__text {
  margin-top: 1.5rem;
}

.company-message__text p {
  font-size: 1.1cqw;
  font-weight: 400;
  line-height: 1.75;
  color: var(--color-text-sub);
}

.company-message__text p + p {
  margin-top: 1rem;
}

.company-message__name {
  display: flex;
  align-items: center;
  margin-top: 2rem;
  font-size: 1.25cqw;
  font-weight: 500;
  color: var(--color-text-main);
}

.company-message__name img {
  padding-left: 1.5rem;
  width: 200px;
  z-index: 10;
}

.company-message__img {
  margin: 0;
  height: 100%;
}

.company-message__img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

@media screen and (max-width: 900px) {
  .company-message__content {
    height: 60vw;
  }

  .company-message__body {
    padding: 0 1.5rem;
    width: 45%;
  }

  .company-message__img img {
    object-position: 70% center;
  }

  .company-message__title {
    font-size: 2cqw;
  }

  .company-message__text {
    margin-top: 1.75rem;
  }

  .company-message__text p {
    font-size: 1.3cqw;
    font-weight: 400;
    line-height: 1.75;
    color: var(--color-text-sub);
  }

  .company-message__text p + p {
    margin-top: 0.75rem;
  }

  .company-message__name {
    margin-top: 1.75rem;
    font-size: 2cqw;
  }
}

@media screen and (max-width: 580px) {
  .company-message__content {
    margin-top: 3rem;
    height: 70vw;
  }

  .company-message__title {
    font-size: 2cqw;
  }

  .company-message__text {
    margin-top: 1.25rem;
  }

  .company-message__text p {
    font-size: 1.5cqw;
    font-weight: 500;
    line-height: 1.5;
    color: var(--color-text-sub);
  }

  .company-message__text p + p {
    margin-top: 0.5rem;
  }

  .company-message__name {
    margin-top: 1.25rem;
    font-size: 2cqw;
  }

  .company-message__name img {
    padding-left: 1rem;
    width: 100px;
    z-index: 10;
  }
}

/* ----------------------------------------
company-info
---------------------------------------- */
.company-info__inner {
  margin: 0 auto;
  width: 95%;
  max-width: 1000px;
}

.company-info__table {
  margin: 4rem auto 0;
}

.company-info__row {
  display: grid;
  grid-template-columns: 12rem 1fr;
  margin: 0;
}

.company-info__head,
.company-info__data {
  margin: 0;
  padding: 2rem 0 0.5rem 1.5rem;
  font-size: 1.25rem;
  line-height: 1.9;
  box-sizing: border-box;
}

.company-info__head {
  color: var(--color-text-main);
  font-weight: 400;
  border-bottom: 1.5px solid var(--color-primary);
}

.company-info__data {
  color: var(--color-text-sub);
  border-bottom: 1.5px solid #ccc;
}

.company-info__gallery {
  margin-top: 5rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 3rem;
}

.company-info__photo {
  margin: 0;
  overflow: hidden;
}

.company-info__photo img {
  width: 100%;
  aspect-ratio: 16 / 9;
  object-fit: cover;
  display: block;
}

@media screen and (max-width: 900px) {
  .company-info__row {
    grid-template-columns: 10rem 1fr;
  }
  .company-info__head,
  .company-info__data {
    padding: 2rem 0 0.5rem 0.5rem;
    font-size: 2.5cqw;
  }
  .company-info__gallery {
    gap: 1.5rem;
  }
}

@media screen and (max-width: 580px) {
  .company-info__row {
    display: block;
    border-top: 1px solid var(--color-primary);
  }

  .company-info__row:last-child {
    border-bottom: 1px solid var(--color-primary);
  }

  .company-info__head,
  .company-info__data {
    margin: 0;
    font-size: 1.25rem;
    line-height: 1.5;
  }

  .company-info__head {
    padding: 1rem 0 0 1rem;
    color: #444;
    font-size: 4cqw;
    font-weight: 500;
    border-bottom: none;
  }

  .company-info__data {
    padding: 0.5rem 0 1rem 1rem;
    font-size: 4cqw;
    border-bottom: none;
  }

  .company-info__gallery {
    margin-top: 3rem;
    display: block;
  }

  .company-info__photo:last-child {
    margin-top: 2rem;
  }
}

/* ----------------------------------------
company-access
---------------------------------------- */
.company-access__lead {
  margin-top: 3rem;
  text-align: center;
  font-size: 1.6rem;
  line-height: 2;
  color: var(--color-text-sub);
}

.company-access__map {
  margin-top: 4rem;
  overflow: hidden;
}

.company-access__map iframe {
  width: 100%;
  height: 35rem;
  display: block;
}

.company-access__info {
  margin-top: 5rem;
  text-align: center;
}

.company-access__text {
  font-size: 2rem;
  font-weight: 600;
  line-height: 1.5;
  color: var(--color-text-main);
}

@media screen and (max-width: 900px) {
  .company-access__lead {
    font-size: 3cqw;
    line-height: 1.5;
  }

  .company-access__map iframe {
    height: 25rem;
  }

  .company-access__text {
    font-size: min(4cqw, 2rem);
    font-weight: 600;
    line-height: 1.5;
    color: var(--color-text-main);
  }
}

@media screen and (max-width: 580px) {
  .company-access__map {
    margin-top: 3rem;
  }
  .company-access__map iframe {
    height: 20rem;
  }
}